@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,700;1,100&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: Poppins, sans-serif;
  background-color: #000;
  color: #f4f4f4;
}

a {
  text-decoration: none;
  color: #f4f4f4;
}

p {
  margin: 0.9rem 0;
}

.header {
  background: url('./img/header-background.jpg') center center/cover no-repeat;
  position: relative;
  height: 100vh;
}

.header::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.75);
}

.header * {
  z-index: 1;
}

.header-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100%;
  color: #fff;
  text-align: center;
  padding: 0 1.4rem;
}

.header-content h2,
h3 {
  color: red;
}

.header-content h1 {
  font-size: 3rem;
}

.container {
  padding: 75px;
}

.page-title {
  text-align: center;
  padding-bottom: 5rem;
  font-size: 3rem;
}

.page-header {
  text-align: center;
  color: #4d75da;
}

.section-footer {
  padding: 1rem 0;
  text-align: center;
}

.movie-item {
  /* border: solid 1px #000; */
  margin: auto;
}

.btn {
  text-decoration: none;
  padding: 1rem 2rem;
  min-width: 200px;
  /* margin: 1rem 0; */
  border: none;
  border-radius: 50px;
  outline: none !important;
  cursor: pointer;
  box-shadow: 10px 10px 10px rgba(0, 0, 0, 0.9);
}

.btn-primary {
  background-color: #4d75da;
  color: #f4f4f4;
}

.btn-transparent {
  opacity: 0.9;
  transition: all 1s ease-in-out;
}

.btn-transparent:hover {
  opacity: 1;
  background-color: #1940a3;
}

.buttons {
  display: flex;
  gap: 10px;
  margin-top: 1rem;
}
.container {
  margin: 2rem 3rem;
}

.section-title {
  padding: 1rem 2rem 1rem 2rem;
}

.center {
  text-align: center;
}

.course-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 10px;
  margin: auto;
}

.course-details-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 30px;
}

.course-detail {
  display: flex;
  gap: 15px;
  align-items: center;
}

.page-bold {
  color: #4d75da;
}

.card {
  display: flex;
  flex-direction: column;
  gap: 10px;
  background-color: #333;
  border-radius: 10px;
  /* min-width: 500px; */
}

.card-body {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 5px;
  padding: 0.5rem 1rem 1rem;
}

.card-body a {
  color: #f4f4f4;
  font-size: 0.8rem;
  font-style: italic;
}

.card-header {
  display: flex;
  padding: 0.5rem 0.5rem 0 1rem;
}

.card-header > h4 {
  margin: auto;
}

.user-img-large {
  height: 512px;
}

.user-img-medium {
  height: 256px;
}

.user-img-small {
  height: 128px;
}

.course-img-large {
  height: 96px;
}

.course-img-small {
  height: 36px;
}

.course-img-medium {
  height: 48px;
}

#courses {
  padding: 2rem 3rem;
}

#consulting {
  background-color: #f4f4f4;
  color: #000;
  padding: 2rem 3rem;
}

#about {
  padding: 2rem 3rem;
}

.about-grid {
  display: grid;
  grid-template-columns: repeat(2, 2fr);
  gap: 20px;
}

.user-image {
  display: flex;
  justify-content: center;
  align-items: center;
}

#partners {
  padding: 2rem 3rem;
}

#partners > p {
  text-align: center;
  padding-bottom: 2rem;
}

.partner-section {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
  justify-items: center;
}

.partner-section div {
  display: flex;
  align-items: center;
  gap: 5px;
}

#footer {
  margin-top: 50px;
  padding: 50px 0;
  background-color: #fff;
}
.certificates {
  display: flex;
  justify-content: center;
  gap: 40px;
  padding-bottom: 20px;
}

.contact-info {
  color: #333;
  text-align: center;
  font-size: 1rem;
}

.rounded {
  border-radius: 256px;
}

/****************************************************************/
/* MEDIA QUERIES */

/* @media screen and (max-width: 1205px) {
  .course-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
    margin: auto;
  }
} */

@media (max-width: 900px) {
  .header-content h2,
  h3 {
    color: red;
  }

  .header-content h1 {
    font-size: 2rem;
  }

  .course-grid {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 10px;
    margin: auto;
  }

  .about-grid {
    display: grid;
    grid-template-columns: repeat(1, 2fr);
    gap: 20px;
  }

  .about-grid .user-image img {
    width: 256px;
    height: 256px;
    border-radius: 128px;
  }

  .buttons {
    flex-direction: column;
  }

  .partner-section {
    grid-template-columns: repeat(1, 1fr);
    justify-items: center;
  }

  .contact-info {
    font-size: 0.8rem;
  }
}
